v1-platform
Transition Definition
Transition Definition
curl --request POST \
--url https://api.example.com/v1/organizations/{organization_id}/apps/{app_id}/definitions/{definition_id}/status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '{}'import requests
url = "https://api.example.com/v1/organizations/{organization_id}/apps/{app_id}/definitions/{definition_id}/status"
payload = {}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};
fetch('https://api.example.com/v1/organizations/{organization_id}/apps/{app_id}/definitions/{definition_id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"app_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "<string>",
"content": {},
"content_hash": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locale": "<string>",
"name": "<string>",
"revision": 123,
"created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"published_at": "2023-11-07T05:31:56Z"
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}Authorizations
BearerAuthApiKeyAuthSessionCookie
Named syn_ API key or migration-only legacy key.
Headers
Required string length:
1 - 255Path Parameters
Body
application/json
Available options:
draft, validated, published, deprecated, archived Response
Successful Response
Available options:
experience, scorecard, context, guardrail, adaptive_policy, report_template Available options:
draft, validated, published, deprecated, archived ⌘I
Transition Definition
